summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorAlexander Larsson <alexl@redhat.com>2016-05-02 09:52:58 +0200
committerAlexander Larsson <alexl@redhat.com>2016-05-02 09:52:58 +0200
commite7cc0c3db9f8d5a6930f2c34b52e5a49a8e689ec (patch)
tree42fb28c0d0e23cb88033b7945aae3b4d85356ad1 /tests
parent196395725330a42c363d7e8a274e6a76552dc9cc (diff)
downloadxdg-app-e7cc0c3db9f8d5a6930f2c34b52e5a49a8e689ec.tar.gz
tests: Move run tests to separate file
Also adds a --help test to test-basic.
Diffstat (limited to 'tests')
-rw-r--r--tests/Makefile.am.inc1
-rwxr-xr-xtests/test-basic.sh8
-rwxr-xr-xtests/test-run.sh32
3 files changed, 36 insertions, 5 deletions
diff --git a/tests/Makefile.am.inc b/tests/Makefile.am.inc
index 76d6a5b..413798f 100644
--- a/tests/Makefile.am.inc
+++ b/tests/Makefile.am.inc
@@ -64,6 +64,7 @@ installed_test_data = \
test_scripts = \
tests/test-basic.sh \
+ tests/test-run.sh \
$(NULL)
test_programs = testdb test-doc-portal
diff --git a/tests/test-basic.sh b/tests/test-basic.sh
index f649dff..2cec2d7 100755
--- a/tests/test-basic.sh
+++ b/tests/test-basic.sh
@@ -30,10 +30,8 @@ assert_file_has_content version_out "^xdg-app $VERSION$"
echo "ok version"
-setup_repo
-install_repo
+${XDG_APP} --help > help_out
-run org.test.Hello > hello_out
-assert_file_has_content hello_out '^Hello world, from a sandbox$'
+assert_file_has_content help_out "^Usage:$"
-echo "ok hello"
+echo "ok help"
diff --git a/tests/test-run.sh b/tests/test-run.sh
new file mode 100755
index 0000000..328be2e
--- /dev/null
+++ b/tests/test-run.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+#
+# Copyright (C) 2011 Colin Walters <walters@verbum.org>
+#
+# This library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Lesser General Public
+# License as published by the Free Software Foundation; either
+# version 2 of the License, or (at your option) any later version.
+#
+# This library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with this library; if not, write to the
+# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+set -euo pipefail
+
+. $(dirname $0)/libtest.sh
+
+echo "1..1"
+
+setup_repo
+install_repo
+
+run org.test.Hello > hello_out
+assert_file_has_content hello_out '^Hello world, from a sandbox$'
+
+echo "ok hello"